#!/bin/sh

# disable filename globbing

 echo Content-type: text/html
 echo
 BASE=`pwd`
APPLDIR=$BASE/appl
DATADIR=$BASE/data
PATH=$PATH:$BASE/ihd/bin:.
export PATH APPLDIR DATADIR
planc=tmp/planc
tpdoc=tmp/tpdoc
ihdm tpdoc h00^ h01 | sort -u >$tpdoc
z=tmp/1[0-9]
awk -F"^" '
$1=="11510" {
iv[$5] = $7-$8
next
}
substr($1,1,3)=="211" {
dc[$5] = $2
br[$5] += $8-$7
ru[$5] = $9
fa[$5] = $10
fe[$5] = $11
pr[$5] = $6
tp[$5] = $4
next
}
{
nt[$5] += $7-$8
}
END {
for (i in br)
{
 printf "%s^",fe[i]
 printf "%s^",dc[i]
 printf "%s^",tp[i]
 printf "%s^",fa[i]
 printf "%s^",ru[i]
 printf "%s^",pr[i]
if(iv[i]+0 ==0) 
 printf "%s^^",nt[i]
 else printf "^%s^",nt[i]
 printf "%s^",iv[i]
 printf "%s^",br[i]
print ""
}
} ' $z  |sort -t"^" -k3,3 -k1.7,1 -k1.4,1 -k1,1 -n -k2 |
awk -F"^" ' BEGIN { 
T["00"]="FECHA^CT"
T["01"]="DOCUM^CT"
T["02"]="TP^CT"
T["03"]="FACTURA^RT"
T["04"]="R.U.T.^RT"
T["05"]="RAZON SOCIAL^LT"
T["06"]="MONTO&nbsp;<BR>EXENTO^RN"
T["07"]="MONTO&nbsp;<br>NETO^RN"
T["08"]="I.V.A.^RN"
T["09"]="MONTO&nbsp;<br>BRUTO^RN"
T["11"]="CC^CT"
T["12"]="SALDO^RN"
tx=11
	for (i=0;i<tx;i++)
	{
		x=sprintf("%.2d",i)
		printf "%s^",T[x]
	}
	print ""
}
{
	for (i=1;i<=tx-1;i++)
	{
		printf "%s^",$i
		tt[i] +=$i
		tp[$3""i] +=$i
	}
printf "\n"
		td[$3]++
}
END {
	while ((getline < "'"$tpdoc"'") > 0) ds[$1]=$2
	for (j in td)
	{
		printf "TOTAL^^%s^^%3d^%s^",j,td[j],ds[j]
		for (i=7;i<=tx-1;i++)
		printf "%s^",tp[j""i]
		tdc +=td[j]
print ""
	}
	printf "TOTAL^^%s^^%s^%s^","TT",tdc,"DOCUMENTOS TOTALES"
	for (i=7;i<=tx-1;i++)
		printf "%s^",tt[i]
print ""
	} ' - |
awk -F"^" ' BEGIN {
while ((getline < "tmp/tt") >0 ) if(substr($1,1,2)=="T2") per=substr($1,7)
ttop("Libro de Compras ..."per);bgcolor="#FFFFFF"
alg["C"]="center"
alg["R"]="right"
alg["L"]="left"
}
NR==1 {
 for (i=1; i<NF-2; i+=2)
	{
		al[(i+1)/2]=substr($(i+1),1,1)
		tp[(i+1)/2]=substr($(i+1),2)
		labelf($i,al[(i+1)/2])
	}
print "</tr>"
next
}
$1=="TOTAL" { for (i=1; i<NF; i++) labelf($i,al[i],tp[i])
print "</tr>"
}
$1!="TOTAL" {
if ($(NF-1)=="mi") bgcolor="#00FF00"
if ($(NF-1)=="ma") bgcolor="#FF0000"
 for (i=1; i<NF ; i++) label($i,al[i],tp[i])
print "</tr>"
if (NR%2==0 ) bgcolor="#E1E1E1"
else bgcolor="#FFFFFF"
}
END {
 foot() } 
function boton(value,alig)
{
	print "<td bgcolor=\"#E1E1E1\">"
printf "<p><input type=\"button\" style=\"width: 120; text-align:%s\" value=\"&nbsp;%s&nbsp;\" name=\"T02\"></p>\n",alg[alig],value
print "</td>"
}
function punto (dat,dec)
{
        if (dat+0==0) return ""
        sig=""
        if(dat<0)
        {
                dat *= -1
                sig="-"
        }
        pun=sprintf("%%.%df",dec)
        da=sprintf (pun,dat)
        if(dec) l=length(da)-dec-1
        else l=length(da)
        dat=substr(da,l+2)
        dato=substr(da,1,l)
        if (l>6) pun=substr(dato,1,l-6)"."substr(dato,l-5,3)"."substr(dato,l-2)
        else if(l >3) pun=substr(dato,1,l-3)"."substr(dato,l-2)
        else pun=dato
        if (dec) pun=pun","dat
        return sig""pun
}
function label(value,alig,tip)
{
printf "<td bgcolor=\"%s\">",bgcolor
if(substr(tip,1,1)=="N") if(value <0) printf "<p align=\"%s\"><font face=\"Arial\" size=\"3\" color=\"#FF0000\" >&nbsp;%s&nbsp;</font></p>\n",alg[alig],punto(-value,substr(tip,2))
else printf "<p align=\"%s\"><font face=\"Arial\" size=\"3\">&nbsp;%s&nbsp;</font></p>\n",alg[alig],punto(value,substr(tip,2))
else printf "<p align=\"%s\"><font face=\"Arial\" size=\"3\">&nbsp;%s&nbsp;</font></p>\n",alg[alig],value
print "</td>"
}
function labelf(value,alig,tip)
{
if(value=="0" && value!="TOTAL") value="&nbsp"
printf "<td bgcolor=\"%s\">","#003399"
if(substr(tip,1,1)=="N") printf "<p align=\"%s\"><font color=\"#FFFFFF\" face=\"Arial\" size=\"3\">&nbsp;%s&nbsp;</font></p>\n",alg[alig],punto(value,substr(tip,2))
else printf "<p align=\"%s\"><font color=\"#FFFFFF\" face=\"Arial\" size=\"3\">&nbsp;%s&nbsp;</font></p>\n",alg[alig],value
print "</td>"
}
function labels(value,alig)
{
print "<td bordercolor=\"#C0C0C0\" bgcolor=\"#003399\" align=\"center\">"
printf "<p align=\"%s\"><b><font color=\"#FFFFFF\">&nbsp;%s&nbsp;</font></b></p>\n",alg[alig],value
print "</td>"
}
function ttop(value)
{
print "<html>"
print "<head>"
print "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">"
print "<meta name=\"GENERATOR\" content=\"Microsoft FrontPage 4.0\">"
print "<meta name=\"ProgId\" content=\"FrontPage.Editor.Document\">"
printf "<title>%s</title>\n",value
print "</head>"
print "<center>"
print "<body bgcolor=\"#D0D0DF\">"
#print "<p align=\"center\"><img border=\"0\" src=\"../../logol.jpg\" width=\"200\" height=\"97\"></p>"
while ((getline < "./tmp/planc.1") >0 ) if($1=="'"$1"'") split($0,cta)
printf "<H3>Libro de Compras<br>Per&iacute;odo: %s</H3>\n",per
print "<form method=\"post\" action=\"../../cgi-bin/boletbsc.cgi\" name=billform>"
print "<center>"
print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#999999\" height=\"50\">"
printf "<input type=\"hidden\" value=\"Query\" name=\"B1\">\n"
print "<tr>"
print "</center>"
}
function foot()
{
if (a = A)
{
print "</table>"
print "<table><tr>"
labels("SALDOS","C")
labels("VALORES","R")
print "</tr>"
print "<tr>"
label("ANTERIOR","L","T")
label(cta[4],"R","N")
print "</tr>"
print "<tr>"
label("DEL PERIODO","l","T")
label(cta[5],"R","N")
print "</tr>"
print "<tr>"
label("ACTUAL","L","T")
label(cta[6],"R","N")
print "</tr>"
}
print "</center>"
print "</form>"
print "</body>"
print "</html>"
} ' - 
} 2>./error/lmay.err
cat ./error/lmay.err
